local t = Def.ActorFrame {
    -- Streams
    LoadActor(THEME:GetPathB("Common","Background materials")) .. {
        InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
    };
    Def.Quad {
        InitCommand=cmd(stretchto,SCREEN_LEFT,SCREEN_TOP,SCREEN_RIGHT,SCREEN_BOTTOM);
        OnCommand=cmd(diffuse,1,0,0,1;blend,"BlendMode_WeightedMultiply";);
    };
--[[     LoadActor(THEME:GetPathB("_Background","red")) .. {
        InitCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;diffuse,1,0,0,1;blend,'BlendMode_WeightedMultiply');
    }; --]]
    Def.Quad {
        InitCommand=cmd(stretchto,SCREEN_LEFT,SCREEN_TOP,SCREEN_RIGHT,SCREEN_BOTTOM);
        OnCommand=cmd(diffuse,0,0,0,0.5);
    };
    Def.ActorFrame { 
     FOV=90; 
     OnCommand=cmd(rotationx,-45;rotationz,-6;z,-360); 
        LoadActor("backdatastream") .. {
            InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH*4,SCREEN_HEIGHT*4;);
            OnCommand=cmd(customtexturerect,0,0,SCREEN_WIDTH/256,SCREEN_HEIGHT/256;texcoordvelocity,0.75/4,0;diffuse,1,0,0,0.5);
        };
        LoadActor("datastream") .. {
            InitCommand=cmd(z,240;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH*4,SCREEN_HEIGHT*4;);
            OnCommand=cmd(blend,"BlendMode_Add";customtexturerect,0,0,SCREEN_WIDTH/256,SCREEN_HEIGHT/256;texcoordvelocity,0,0.25;diffuse,1,0,0,0.5);
        };
    };
    -- BG
--~     LoadActor("_noise") .. { InitCommand=cmd(zoom,4); };
--[[     LoadActor("red-bg") .. { 
        InitCommand=cmd(diffusealpha,0.5;diffuse,1,0,0,0.5;blend,"BlendMode_Add";x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
    }; --]]
    -- Grid
--[[     LoadActor("Grid-Norm") .. {
        InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffuse,1,0,0,1);
        OnCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT);
    };
    LoadActor("Grid-Glow") .. {
        InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffuse,1,0,0,1);
        OnCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;blend,"BlendMode_Add";playcommand,"Loop");
        LoopCommand=cmd(diffusealpha,1;croptop,1;decelerate,1;croptop,0;linear,1.25;diffusealpha,0;sleep,1.5;queuecommand,"Loop");
    }; --]]
--~     LoadActor("Title") .. { InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;); };
};

return t